org.apache.solr.update.processor

## Class CdcrUpdateProcessorFactory

- java.lang.Object
- - org.apache.solr.update.processor.UpdateRequestProcessorFactory
  - - org.apache.solr.update.processor.CdcrUpdateProcessorFactory

- All Implemented Interfaces:
    DistributingUpdateProcessorFactory, NamedListInitializedPlugin

      public class CdcrUpdateProcessorFactory
      extends UpdateRequestProcessorFactory
      implements DistributingUpdateProcessorFactory

  Factory for `CdcrUpdateProcessor`.
  See Also:
    `CdcrUpdateProcessor`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.solr.update.processor.UpdateRequestProcessorFactory

      `UpdateRequestProcessorFactory.RunAlways`

  - ### Field Summary

    - ### Fields inherited from interface org.apache.solr.update.processor.DistributingUpdateProcessorFactory

      `DISTRIB_UPDATE_PARAM`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CdcrUpdateProcessorFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CdcrUpdateProcessor` | `getInstance(SolrQueryRequest req, SolrQueryResponse rsp, UpdateRequestProcessor next)`
    `void` | `init(NamedList args)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CdcrUpdateProcessorFactory

          public CdcrUpdateProcessorFactory()

  - ### Method Detail

    - #### init

          public void init(NamedList args)

      Specified by:
        `init` in interface `NamedListInitializedPlugin`
      Overrides:
        `init` in class `UpdateRequestProcessorFactory`

    - #### getInstance

          public CdcrUpdateProcessor getInstance(SolrQueryRequest req,
                                                 SolrQueryResponse rsp,
                                                 UpdateRequestProcessor next)

      Specified by:
        `getInstance` in class `UpdateRequestProcessorFactory`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.